﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/connect/model/CreateAgentStatusResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::Connect::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

CreateAgentStatusResult::CreateAgentStatusResult()
{
}

CreateAgentStatusResult::CreateAgentStatusResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

CreateAgentStatusResult& CreateAgentStatusResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("AgentStatusARN"))
  {
    m_agentStatusARN = jsonValue.GetString("AgentStatusARN");

  }

  if(jsonValue.ValueExists("AgentStatusId"))
  {
    m_agentStatusId = jsonValue.GetString("AgentStatusId");

  }



  return *this;
}
